Dual Boot – MSI pe62-8rc overheating in Ubuntu 18.04, but not in Windows

I'm fairly new to Ubuntu and installed Ubuntu alongside Win 10. The problem is that when surfing with Chrome in Ubuntu, fans run faster, especially those Law Fan. They work great and the temperature drops after a while (I had monitored the temperature with lm sensors), but my laptop (MSI pe62-8rc) does not overheat as much in Win 10.
I think there is a problem with the graphics card drive as I had installation problems (when I first started Ubuntu 18.04, installing a version of nvidia that I can't remember now caused a black screen to appear).

Now in software and updates:
Using the Nvidia Driver Metapackage from nvidia-driver-440

I tried to update Ubuntu and also driver autoinsitall. I also tried to update Ubuntu.
System information:
Graphics: GeForce® GTX 1050 with 4 GB GDDR5
CPU: CoffeeLake Core i7-8750H ~ 4.1 GHz 9 MB
Memory: 8 GB DDR4-2666MHz
Storage disk: 1 TB hard drive + 128 GB SSD (Ubuntu and Win 10 in SSD)

Missing settings of online accounts in Ubuntu 18.04 with GNOME 3.28.2

I recently noticed that my system is missing online account settings.

Enter the image description here

I'm using Ubuntu 18.04.4 LTS with GNOME 3.28.2.

I can only view full setups with the terminal command:

env XDG_CURRENT_DESKTOP=GNOME gnome-control-center

with root rights (with sudo).

I tried to reinstall gnome-control-center or put the exec command env XDG_CURRENT_DESKTOP = GNOME gnome-control-center in the .desktop file. The result remains the same.

What is wrong?

Driver – Disable discrete graphics in Ubuntu 18.04: Nvidia fallback service does not exist

I followed the steps in this blog to reinstall the NVIDIA drivers. However, there were two problems

  1. sudo systemctl disable nvidia-fallback.service does not work there is the error Failed to disable unit: Unit file nvidia-fallback.service does not exist.
  2. I installed gpustat, but it doesn't show any power consumption. This answer discusses that support for displaying power usage has been removed N/A

I only know that discrete graphics are not turned off because my laptop heats up and the battery life for surfing is only 2 hours. Now my configuration

lsb_release -a
Distributor ID: Ubuntu
Description:    Ubuntu 18.04.4 LTS
Release:    18.04
Codename:   bionic

uname -r
4.15.0-91-generic

lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02)

sudo lshw -C display
  *-display                 
       description: VGA compatible controller
       product: HD Graphics 620
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 02
       width: 64 bits
       clock: 33MHz
       capabilities: pciexpress msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:129 memory:a2000000-a2ffffff memory:b0000000-bfffffff ioport:5000(size=64) memory:c0000-dffff
  *-display
       description: 3D controller
       product: GM108M (GeForce 940MX)
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       version: a2
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=nvidia latency=0
       resources: irq:132 memory:a3000000-a3ffffff memory:90000000-9fffffff memory:a0000000-a1ffffff ioport:3000(size=128)

lsmod | grep nvidia
nvidia              20385792  9
ipmi_msghandler        53248  2 ipmi_devintf,nvidia

Please help. I can not confirm whether the graphics card actually uses electricity or not. I also don't know how to fix it even though I've followed all the instructions given. Tell me if you need more configuration information. It will be really great if things work at least in 2020.

java – launch4j error at start, installation impossible Ubuntu 18.04

I am new to the Ubuntu software installation "by hand". I want to install launch4j. I followed the guide from StackExchange and other websites online.

Whatever I try to use chmod for execution privileges with or without sudo, I get this problem:

 ❮ onyr ★  kenzae❯ ❮ Downloads❯❯ sudo tar xf launch4j-3.12-linux.tgz -C /opt
 ❮ onyr ★  kenzae❯ ❮ ~❯❯ cd /opt/launch4j/
 ❮ onyr ★  kenzae❯ ❮ launch4j❯❯ ll
total 288
-rwxr-xr-x  1 root root    160 mai   17  2018 launch4j*
-rwx---r-x  1 root root 199603 mai   17  2018 launch4j.jar*
(...)
 ❮ onyr ★  kenzae❯ ❮ launch4j❯❯ sudo ./launch4j 
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by com.thoughtworks.xstream.core.util.Fields (file:/opt/launch4j/lib/xstream.jar) to field java.util.Properties.defaults
WARNING: Please consider reporting this to the maintainers of com.thoughtworks.xstream.core.util.Fields
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
Exception in thread "main" java.lang.NoClassDefFoundError: com/sun/java/swing/plaf/windows/WindowsLookAndFeel
    at java.base/java.lang.ClassLoader.defineClass1(Native Method)
    at java.base/java.lang.ClassLoader.defineClass(ClassLoader.java:1016)
    at java.base/java.security.SecureClassLoader.defineClass(SecureClassLoader.java:151)
    at java.base/jdk.internal.loader.BuiltinClassLoader.defineClass(BuiltinClassLoader.java:821)
    at java.base/jdk.internal.loader.BuiltinClassLoader.findClassOnClassPathOrNull(BuiltinClassLoader.java:719)
    at java.base/jdk.internal.loader.BuiltinClassLoader.loadClassOrNull(BuiltinClassLoader.java:642)
    at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:600)
    at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
    at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
    at net.sf.launch4j.Main.main(Main.java:59)
Caused by: java.lang.ClassNotFoundException: com.sun.java.swing.plaf.windows.WindowsLookAndFeel
    at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:602)
    at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
    at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
    ... 10 more

I use Java 13:

 ❮ onyr ★  kenzae❯ ❮ launch4j❯❯ java --version
java 13.0.2 2020-01-14
Java(TM) SE Runtime Environment (build 13.0.2+8)
Java HotSpot(TM) 64-Bit Server VM (build 13.0.2+8, mixed mode, sharing)

I'm running out of ideas. What should I do ?
Thank you and take care

Onyr

python3 – gdal-config not found, Ubuntu 18.0.4, deploy to gcloud

So I tried to set gdal with gcloud. I work with Anaconda even though my virtual environment was set up with pip because gcloud uses pip according to my requirements to rebuild my venv. I keep getting that gdal-config is not found despite all the attempts to set it up. I couldn't find the solution, gcloud keeps saying that my pip is out of date even though both the virtual and the system have been updated. If anyone can help me, I would be very grateful.
Follow the following errors:

gdal-config not found

Step #1: Collecting GDAL==2.4.2 (from -r requirements.txt (line 13))
Step #1:   Downloading https://files.pythonhosted.org/packages/dc/d5/90339b48bdcabc76124eaa058a32d796963a05624eb418ed5ea5af7db9fa/GDAL-2.4.2.tar.gz (564kB)
Step #1:     Complete output from command python setup.py egg_info:
Step #1:     WARNING: numpy not available!  Array support will not be enabled
Step #1:     /opt/python3.6/lib/python3.6/distutils/dist.py:261: UserWarning: Unknown distribution option: 'long_description_content_type'
Step #1:       warnings.warn(msg)
Step #1:     running egg_info
Step #1:     creating pip-egg-info/GDAL.egg-info
Step #1:     writing pip-egg-info/GDAL.egg-info/PKG-INFO
Step #1:     writing dependency_links to pip-egg-info/GDAL.egg-info/dependency_links.txt
Step #1:     writing top-level names to pip-egg-info/GDAL.egg-info/top_level.txt
Step #1:     writing manifest file 'pip-egg-info/GDAL.egg-info/SOURCES.txt'
Step #1:     Traceback (most recent call last):
Step #1:       File "/tmp/pip-install-xltlxoe3/GDAL/setup.py", line 151, in fetch_config
Step #1:         p = subprocess.Popen((command, args), stdout=subprocess.PIPE)
Step #1:       File "/opt/python3.6/lib/python3.6/subprocess.py", line 729, in __init__
Step #1:         restore_signals, start_new_session)
Step #1:       File "/opt/python3.6/lib/python3.6/subprocess.py", line 1364, in _execute_child
Step #1:         raise child_exception_type(errno_num, err_msg, err_filename)
Step #1:     FileNotFoundError: (Errno 2) No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
Step #1:     
Step #1:     During handling of the above exception, another exception occurred:
Step #1:     
Step #1:     Traceback (most recent call last):
Step #1:       File "/tmp/pip-install-xltlxoe3/GDAL/setup.py", line 237, in get_gdal_config
Step #1:         return fetch_config(option, gdal_config=self.gdal_config)
Step #1:       File "/tmp/pip-install-xltlxoe3/GDAL/setup.py", line 154, in fetch_config
Step #1:         raise gdal_config_error(e)
Step #1:     __main__.gdal_config_error: (Errno 2) No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
Step #1:     
Step #1:     During handling of the above exception, another exception occurred:
Step #1:     
Step #1:     Traceback (most recent call last):
Step #1:       File "/tmp/pip-install-xltlxoe3/GDAL/setup.py", line 151, in fetch_config
Step #1:         p = subprocess.Popen((command, args), stdout=subprocess.PIPE)
Step #1:       File "/opt/python3.6/lib/python3.6/subprocess.py", line 729, in __init__
Step #1:         restore_signals, start_new_session)
Step #1:       File "/opt/python3.6/lib/python3.6/subprocess.py", line 1364, in _execute_child
Step #1:         raise child_exception_type(errno_num, err_msg, err_filename)
Step #1:     FileNotFoundError: (Errno 2) No such file or directory: 'gdal-config': 'gdal-config'
Step #1:     
Step #1:     During handling of the above exception, another exception occurred:
Step #1:     
Step #1:     Traceback (most recent call last):
Step #1:       File "", line 1, in 
Step #1:       File "/tmp/pip-install-xltlxoe3/GDAL/setup.py", line 431, in 
Step #1:         setup(**setup_kwargs)
Step #1:       File "/env/lib/python3.6/site-packages/setuptools/__init__.py", line 129, in setup
Step #1:         return distutils.core.setup(**attrs)
Step #1:       File "/opt/python3.6/lib/python3.6/distutils/core.py", line 148, in setup
Step #1:         dist.run_commands()
Step #1:       File "/opt/python3.6/lib/python3.6/distutils/dist.py", line 955, in run_commands
Step #1:         self.run_command(cmd)
Step #1:       File "/opt/python3.6/lib/python3.6/distutils/dist.py", line 974, in run_command
Step #1:         cmd_obj.run()
Step #1:       File "/env/lib/python3.6/site-packages/setuptools/command/egg_info.py", line 278, in run
Step #1:         self.find_sources()
Step #1:       File "/env/lib/python3.6/site-packages/setuptools/command/egg_info.py", line 293, in find_sources
Step #1:         mm.run()
Step #1:       File "/env/lib/python3.6/site-packages/setuptools/command/egg_info.py", line 524, in run
Step #1:         self.add_defaults()
Step #1:       File "/env/lib/python3.6/site-packages/setuptools/command/egg_info.py", line 560, in add_defaults
Step #1:         sdist.add_defaults(self)
Step #1:       File "/env/lib/python3.6/site-packages/setuptools/command/py36compat.py", line 36, in add_defaults
Step #1:         self._add_defaults_ext()
Step #1:       File "/env/lib/python3.6/site-packages/setuptools/command/py36compat.py", line 119, in _add_defaults_ext
Step #1:         build_ext = self.get_finalized_command('build_ext')
Step #1:       File "/opt/python3.6/lib/python3.6/distutils/cmd.py", line 299, in get_finalized_command
Step #1:         cmd_obj.ensure_finalized()
Step #1:       File "/opt/python3.6/lib/python3.6/distutils/cmd.py", line 107, in ensure_finalized
Step #1:         self.finalize_options()
Step #1:       File "/tmp/pip-install-xltlxoe3/GDAL/setup.py", line 287, in finalize_options
Step #1:         self.gdaldir = self.get_gdal_config('prefix')
Step #1:       File "/tmp/pip-install-xltlxoe3/GDAL/setup.py", line 243, in get_gdal_config
Step #1:         return fetch_config(option)
Step #1:       File "/tmp/pip-install-xltlxoe3/GDAL/setup.py", line 154, in fetch_config
Step #1:         raise gdal_config_error(e)
Step #1:     __main__.gdal_config_error: (Errno 2) No such file or directory: 'gdal-config': 'gdal-config'
Step #1:     
Step #1:     ----------------------------------------
Step #1: Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-install-xltlxoe3/GDAL/
Step #1: You are using pip version 10.0.1, however version 20.0.2 is available.
Step #1: You should consider upgrading via the 'pip install --upgrade pip' command.
Step #1: The command '/bin/sh -c pip install -r requirements.txt' returned a non-zero code: 1
Finished Step #1
ERROR
ERROR: build step 1 "gcr.io/cloud-builders/docker@sha256:461bb53c226048a2f5eabebe1d8b4367a02d3a484a8cc7455a21377702bbf4f6" failed: step exited with non-zero status: 1
Step #1: 
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

ERROR: (gcloud.app.deploy) Cloud build failed. Check logs at https://console.cloud.google.com/cloud-build/builds/dc93f59e-debf-4115-aa3d-d63c7bf6643e?project=1014796457128 Failure status: UNKNOWN: Error Response: (2) Build failed; check build logs for details
#gdal-info
(base) reinhold@reinhold-C930:~$ apt-cache show libgdal20 | grep Version
Version: 2.4.2+dfsg-1~bionic0
Version: 2.2.3+dfsg-2
(base) reinhold@reinhold-C930:~$ gdal-config --version
2.4.2
(base) reinhold@reinhold-C930:~$ gdal-config --libs
-L/usr/lib -lgdal

conditions

astroid==2.3.3
autopep8==1.5
backcall==0.1.0
blinker==1.4
bokeh==1.3.4
click==7.1.1
decorator==4.4.2
dominate==2.5.1
Flask==1.1.1
Flask-Bootstrap==3.3.7.1
Flask-Mail==0.9.1
Flask-WTF==0.14.3
GDAL==2.4.2
gunicorn==20.0.4
ipykernel==5.1.4
ipython==7.13.0
ipython-genutils==0.2.0
isort==4.3.21
itsdangerous==1.1.0
jedi==0.16.0
Jinja2==2.11.1
jupyter-client==6.0.0
jupyter-core==4.6.3
lazy-object-proxy==1.4.3
MarkupSafe==1.1.1
mccabe==0.6.1
numpy==1.18.2
packaging==20.3
pandas==1.0.2
parso==0.6.2
pexpect==4.8.0
pickleshare==0.7.5
Pillow==7.0.0
prompt-toolkit==3.0.4
ptyprocess==0.6.0
pycodestyle==2.5.0
Pygments==2.6.1
pylint==2.4.4
pyparsing==2.4.6
python-dateutil==2.8.1
pytz==2019.3
PyYAML==5.3
pyzmq==19.0.0
six==1.14.0
tornado==6.0.4
traitlets==4.3.3
typed-ast==1.4.1
visitor==0.1.3
wcwidth==0.1.8
Werkzeug==1.0.0
wrapt==1.11.2
WTForms==2.2.1

vnc – TightVNC and Ubuntu 18.04 desktop do not work properly

I have a home server with Ubuntu Desktop 18.04. I am trying to get the full Gnome desktop with TightVNC in a headless configuration. I can't seem to find the right arguments for the Xvnc session file.

This is my current session file:

#!/bin/sh
export XKL_XMODMAP_DISABLE=1
export XDG_CURRENT_DESKTOP="GNOME-Flashback:Unity"
export XDG_MENU_PREFIX="gnome-flashback-"
unset SESSION_MANAGER
unset DBUS_SESSION_BUS_ADDRESS
[ -x /etc/vnc/xstartup ] && exec /etc/vnc/xstartup
[ -r $HOME/.Xresources ] && xrdb $HOME/.Xresources
xsetroot -solid grey
vncconfig -iconic &
gnome-panel &
unity-settings-daemon &
gnome-flashback &
metacity &
nautilus &

With this I get a single window, but without the desktop as shown below.
VNC client view

What arguments am I missing from the session file to get the full desktop in Ubuntu 18.04?

apt – The latest blender cannot run on Ubuntu 18.04

I'm using Ubuntu 18.04 (actually Kubuntu) on a Lenovo ThinkPad L540.

I installed the latest blender from the PPA repository as follows:

sudo add-apt-repository ppa:thomas-schiex/blender
sudo apt install blender

(The version string is 94552-4c0cca78eb4-0thomas~bionic0 and contains the description This is version 2.8 obtained by pulling the last version in the master branch of the blender git repository. According to the Blender website, this should be 2.82a.)

Trying to run this new mixer results in the following error:

/usr/lib/blender/blender: error while loading shared libraries: libLLVM-6.0.so.1: cannot open shared object file: No such file or directory

I then found that my scrollback history wasn't set up properly, so the list of packages wasn't installed when I ran the previous commands.

I had manually installed Blender 2.80 earlier (a year ago) (not one) .deb but from a tarball); This installation will continue to open without complaining about libraries.

I looked for the error and libLLVM online and found a suggestion to use sudo /sbin/ldconfig -vwhat I tried (after checking the man page) but it had no effect; The error when trying to run the new mixer is exactly the same, even in a new console window.

  1. How can I correctly install the dependencies so that the program opens, and
  2. Is there anywhere I should report this as an error?